# Code to run ZCR. Adapted from Richard Finlay code for table F17 (adapted by Jonathan Hambur)

rm(list=ls(all=TRUE))

RootDir<- "//San1/er/Research/JonathanH/Term struct and MP/New working folder/Note replication/Code/HF zcr"
data_dir<-"//San1/er/Research/JonathanH/Term struct and MP/New working folder/Note replication/Input data/HF zcr"
setwd(RootDir)
source(paste(RootDir,"functions/fun.txt",sep = "/"))


run(data.frame(read.csv(paste(data_dir,"input", "zero_input_pre.csv", sep = "/"))),j.i=(1/12),l.i=10,OIS=TRUE, period="pre")

run(data.frame(read.csv(paste(data_dir,"input", "zero_input_post.csv", sep = "/"))),j.i=(1/12),l.i=10,OIS=TRUE, period="post")

run(data.frame(read.csv(paste(data_dir,"input", "zero_input_pre_extra.csv", sep = "/"))),j.i=(1/12),l.i=10,OIS=TRUE, period="pre_extra")

run(data.frame(read.csv(paste(data_dir,"input", "zero_input_post_extra.csv", sep = "/"))),j.i=(1/12),l.i=10,OIS=TRUE, period="post_extra")

